//                                     // Измерение переменного тока с регулировкой показаний:
#include <iarduino_ACS712.h>           // Подключаем библиотеку для работы с Trema датчиками тока.
iarduino_ACS712 sensor(A0);            // Объявляем объект sensor для работы с Trema датчиком тока, указывая что он подключён к выводу A0.
const uint8_t pinRes = A3;             // Определяем вывод к которому подключён потенциометр для регулировки показаний.
                                       //
void setup(){                          //
    Serial.begin(9600);                // Инициируем передачу данных в монитор на скорости 9600 бод.
    sensor.setZeroVAC(0.00332f);       // Указываем чему равно напряжение на выходе модуля,
                                       // при отсутствии измеряемого переменного тока (I = 0 A).
//  Serial.print(sensor.getZeroVAC()); // Вместо значения 0.00332 В, Вам нужно указать то значение,
//  Serial.println(" В.");             // которое вернёт функция getZeroVAC() при отсутствии тока в измеряемой цепи.
}                                      // В данном случае, при старте скетча, измеряемую цепь НЕ требуется обесточивать.
void loop(){                           //
    int k=analogRead(pinRes);          // Считываем показания с потенциометра в переменную k, её значением будет целое число от 0 до 1023.
    sensor.calibrationAC(k);           // Выполняем калибровку показаний Trema датчика тока,
                                       // вызвав функцию calibrationAC() с параметром в виде целого числа от 0 до 1023.
    float i=sensor.readAC();           // Считываем силу переменного тока в переменную i. Можно считывать силу тока от 0 до +5 A.
                                       // Функция readAC() автоматически сглаживает показания силы тока.
    Serial.print(i);                   // Выводим считанную силу тока в монитор последовательного порта.
    Serial.println(" A.");             // Добавляем единицу измерений после выведенного значения.
    delay(500);                        // Устанавливаем задержку в 500 мс (не обязательно).
}                                      //
